label define empl 1"Regular" 2"Non-regular" 3"Self-employed" 4"Non-employed",replace
label values type empl 
label define emplx 1"Regular (t-1)" 2"Non-regular (t-1)" 3"Self-employed (t-1)" 4"Non-employed (t-1)",replace
label values typex emplx 
label define schooll 0"School enrolment (ref: No)" 1"Yes" ,replace
label variable school   "School enrolment" 
label variable schoolx   "School enrolment (t-1)" 
label variable redu "Respondent's education"
label define redul 1"High school or less"2"2 year college"3"University and more",replace
label values redu redul 

tabulate intmar,gen(intmar)
tabulate agecat,gen(agecat)
tabulate redu,gen(redu)
tabulate type,gen(type)
tabulate typex,gen(typex)
tabulate citysize,gen(citysize)
tabulate citysizex,gen(citysizex)
tabulate citysizexx,gen(citysizexx)
tabulate typexx,gen(typexx)

label variable redu1 "Education: High school or less"
label variable redu2 "Education: 2 year college"
label variable redu3 "Education: University and more"
label variable typex1 "Emp. Status: Regular (t-1)"
label variable typex2 "Emp. Status: Non-regular (t-1)"
label variable typex3 "Emp. Status: Self-employed (t-1)"
label variable typex4 "Emp. Status: Non-employed (t-1)"
label variable typexx1 "Emp. Status: Regular (t-2)"
label variable typexx2 "Emp. Status: Non-regular (t-2)"
label variable typexx3 "Emp. Status: Self-employed (t-2)"
label variable typexx4 "Emp. Status: Non-employed (t-2)"
label variable type1 "Emp. Status: Regular"
label variable type2 "Emp. Status: Non-regular"
label variable type3 "Emp. Status: Self-employed"
label variable type4 "Emp. Status: Non-employed"
label variable cores "Coresidence with parents"
label variable coresx "Coresidence with parents (t-1)"
label variable coresxx "Coresidence with parents (t-2)"

label variable female "Female"

label variable intmar "Intention to marry"
label variable intmar1 "Definitely want to marry"
label variable intmar2 "Want to marry if possible"
label variable intmar3 "Don't care if marry or not"
label variable intmar4 "Not thinking about marriage"
label variable intmar5 "Don't want to marry"

label variable citysize1 "Major population center"
label variable citysize2 "Large city"
label variable citysize3 "Others"

label variable citysizex1 "Major population center (t-1)"
label variable citysizex2 "Large city (t-1)"
label variable citysizex3 "Others (t-1)"

label variable citysizexx1 "Major population center (t-1)"
label variable citysizexx2 "Large city (t-1)"
label variable citysizexx3 "Others (t-1)"

label define citysizel 0"City size (ref: Major population center)" 1"Major population center" 2"Large city" 3"Other city" 4"Town/village",replace
label values citysize citysizel 

label define intmarl 1 "Definitely want to marry" 2 "Want to marry if possible" 3 "Don't care if marry or not" 4 "Not thinking about marriage" 5 "Don't want to marry" 8"Married" ,replace
label values intmar intmarl

label define agel 1 "Age 20-24" 2 "Age 25-29" 3"Age 30-34" 4"Age 35 and over"  
label values agecat agel
label variable agecat1 "Age 20-24"
label variable agecat2 "Age 25-29"
label variable agecat3 "Age 30-34"
label variable agecat4 "Age 35 and over" 

*Save the analysis data
save "JLPSWave1-9long.dta",replace
